#ifndef __TEXT_H_INCLUDED__
#define __TEXT_H_INCLUDED__

#include "Base/Settings/Language.h"
#include "Spec.h"

namespace TASK_NAMES
{
	///       TTA
	extern GLOBALS_SPEC const char* TAWS_A429OUT;
}

namespace TEXT
{
	// common	
	extern GLOBALS_SPEC TextDef M; ///<
	extern GLOBALS_SPEC TextDef KM; ///<
	extern GLOBALS_SPEC TextDef KMH; ///<
	extern GLOBALS_SPEC TextDef COURSE; ///<

	extern GLOBALS_SPEC TextDef S;
	
	extern GLOBALS_SPEC TextDef SEC;
	extern GLOBALS_SPEC TextDef MIN;

	extern GLOBALS_SPEC TextDef DTK; ///< 
	extern GLOBALS_SPEC TextDef RTA; ///< 
	extern GLOBALS_SPEC TextDef EET; ///< 
	extern GLOBALS_SPEC TextDef XTE; ///<
	extern GLOBALS_SPEC TextDef A; ///<
	extern GLOBALS_SPEC TextDef WPT;
	extern GLOBALS_SPEC TextDef FLY;
	extern GLOBALS_SPEC TextDef S;
	extern GLOBALS_SPEC TextDef T;
	extern GLOBALS_SPEC TextDef D;
	extern GLOBALS_SPEC TextDef W;
	extern GLOBALS_SPEC TextDef t;
	extern GLOBALS_SPEC TextDef PHASE;

	extern GLOBALS_SPEC TextDef YES;
	extern GLOBALS_SPEC TextDef NO;
	extern GLOBALS_SPEC TextDef UTC;
	extern GLOBALS_SPEC TextDef LOCAL;

	extern GLOBALS_SPEC TextDef	PPOS;

	extern GLOBALS_SPEC const char*	EMPTY;
	
///////////////////////////////////////////////////////////////////////////////////////////////////
	// DB panels

	extern GLOBALS_SPEC TextDef DB;
	extern GLOBALS_SPEC TextDef CHOICE_DB;
	extern GLOBALS_SPEC TextDef SHEMES;

	extern GLOBALS_SPEC TextDef AIR;
	extern GLOBALS_SPEC TextDef RUN;
	extern GLOBALS_SPEC TextDef POINT;

//////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
	// SYS panels

	extern GLOBALS_SPEC TextDef CPU;
	extern GLOBALS_SPEC TextDef RAM;
	extern GLOBALS_SPEC TextDef FRAM;
	extern GLOBALS_SPEC TextDef FLASH;
	extern GLOBALS_SPEC TextDef NET;
	extern GLOBALS_SPEC TextDef GNSS;
	extern GLOBALS_SPEC TextDef IB4;
	extern GLOBALS_SPEC TextDef SYST;
	extern GLOBALS_SPEC TextDef KEYB;

	extern GLOBALS_SPEC TextDef FPOCS;
	extern GLOBALS_SPEC TextDef CPUCS;
	extern GLOBALS_SPEC TextDef IB4CS;
	extern GLOBALS_SPEC TextDef CFGCS;
	extern GLOBALS_SPEC TextDef VER;

	extern GLOBALS_SPEC TextDef DEVICEID;

///////////////////////////////////////////GNSS DIAGNOCTICS////////////////////
	extern GLOBALS_SPEC TextDef POS;
	extern GLOBALS_SPEC TextDef Latitude;
	extern GLOBALS_SPEC TextDef Longitude;
	extern GLOBALS_SPEC TextDef Time;
	extern GLOBALS_SPEC TextDef Date;
	extern GLOBALS_SPEC TextDef Spd;

	extern GLOBALS_SPEC TextDef RTTA;
	extern GLOBALS_SPEC TextDef RMTA;
	extern GLOBALS_SPEC TextDef HDOP;
	extern GLOBALS_SPEC TextDef VDOP;
	extern GLOBALS_SPEC TextDef HFOM;
	extern GLOBALS_SPEC TextDef VFOM;
	extern GLOBALS_SPEC TextDef RAIM;
	extern GLOBALS_SPEC TextDef RAIMLIM;
	extern GLOBALS_SPEC TextDef HIL;
	// ubs panel
	extern GLOBALS_SPEC TextDef TAS;
	extern GLOBALS_SPEC TextDef HDG;
	extern GLOBALS_SPEC TextDef HEADING;
	extern GLOBALS_SPEC TextDef WOW;

	extern GLOBALS_SPEC TextDef SATTRACKED;
	extern GLOBALS_SPEC TextDef SATUSED;

	// gnss type
	extern GLOBALS_SPEC TextDef CONSTCHOICE;
	extern GLOBALS_SPEC TextDef GPS_GLONASS;
	extern GLOBALS_SPEC TextDef GLONASS;
	extern GLOBALS_SPEC TextDef GPS;

	// init type
	extern GLOBALS_SPEC TextDef COORDINATES;
	extern GLOBALS_SPEC TextDef DATE;
	extern GLOBALS_SPEC TextDef TIME;

	// functions
	extern GLOBALS_SPEC TextDef ORIENTAION;
	extern GLOBALS_SPEC TextDef NORTH;
	extern GLOBALS_SPEC TextDef LANGUAGE;
	extern GLOBALS_SPEC TextDef UNITS;
	extern GLOBALS_SPEC TextDef RANGE;
	extern GLOBALS_SPEC TextDef ALTITUDE;
	extern GLOBALS_SPEC TextDef SPEED;

//////////////////////////////////////////////////
	
	//////////////////////////////////////////////////
	// panel names
	extern GLOBALS_SPEC TextDef MAINMENU;
	extern GLOBALS_SPEC TextDef SYSTEM;
	extern GLOBALS_SPEC TextDef OPTIONS;
	extern GLOBALS_SPEC TextDef SETTINGS;
	extern GLOBALS_SPEC TextDef INITIALIZE;
	extern GLOBALS_SPEC TextDef DBSTATE;
	extern GLOBALS_SPEC TextDef INTERFACES;
	extern GLOBALS_SPEC TextDef FUNCTIONS;
	extern GLOBALS_SPEC TextDef GNSSTYPE;
	extern GLOBALS_SPEC TextDef TEST;
	extern GLOBALS_SPEC TextDef ADJUSTMENTS;
	extern GLOBALS_SPEC TextDef DIAG1;
	extern GLOBALS_SPEC TextDef DIAG2;
	extern GLOBALS_SPEC TextDef DIAG3;
	extern GLOBALS_SPEC TextDef DIAG4;
	extern GLOBALS_SPEC TextDef DIAG5;
	extern GLOBALS_SPEC TextDef MESSAGES;
	extern GLOBALS_SPEC TextDef CONSTANTS;
	extern GLOBALS_SPEC TextDef LAYER1;
	extern GLOBALS_SPEC TextDef LAYER2;

	extern GLOBALS_SPEC TextDef LAYERS;
	extern GLOBALS_SPEC TextDef GPSDIAGNOSTICS;
	extern GLOBALS_SPEC TextDef GLONASSDIAGNOSTICS;
	extern GLOBALS_SPEC TextDef GNSSDIAGNOSTICS;	
	extern GLOBALS_SPEC TextDef UBSDIAGNOSTICS;

	extern GLOBALS_SPEC TextDef INIT;
	extern GLOBALS_SPEC TextDef DIAGNOCTICS;
	extern GLOBALS_SPEC TextDef SAVE;
	extern GLOBALS_SPEC TextDef CANCEL;
	extern GLOBALS_SPEC TextDef DEVICESETTINGS;
	extern GLOBALS_SPEC TextDef BEENCHAGED;

	// messages
	extern GLOBALS_SPEC TextDef MESSAGETIME;
	extern GLOBALS_SPEC TextDef XTEEXCEEDED;
	extern GLOBALS_SPEC TextDef APPTOWPT;
	extern GLOBALS_SPEC TextDef APPTOTURNPOINT;
	
	// map layers
	extern GLOBALS_SPEC TextDef OBJECTNAMES;
	extern GLOBALS_SPEC TextDef INFOBOXES;
	extern GLOBALS_SPEC TextDef AIRPORTS;
	extern GLOBALS_SPEC TextDef RUNWAYS;
	extern GLOBALS_SPEC TextDef NAVAIDS;
	extern GLOBALS_SPEC TextDef AIRPORTNAVAIDS;
	extern GLOBALS_SPEC TextDef INFOREGIONS;
	extern GLOBALS_SPEC TextDef AIRWAYS;
	extern GLOBALS_SPEC TextDef AIRWAYCODES;
	extern GLOBALS_SPEC TextDef AIRWAYCOURSES;
	extern GLOBALS_SPEC TextDef OBSTACLES;
	extern GLOBALS_SPEC TextDef WAYPOINTS;
	extern GLOBALS_SPEC TextDef TOPOGRAPHY;

	// interfaces
	extern GLOBALS_SPEC TextDef A429RX;
	extern GLOBALS_SPEC TextDef A429TX;
	extern GLOBALS_SPEC TextDef DCTX;
	extern GLOBALS_SPEC TextDef DCRX;
	extern GLOBALS_SPEC TextDef ETH;
	extern GLOBALS_SPEC TextDef RS232;
	extern GLOBALS_SPEC TextDef RS422;

//////////////////////////////////////////////////WPT PANEL//////////////////////////////////////////////////

       	// choice
	extern GLOBALS_SPEC TextDef WPT1;
	extern GLOBALS_SPEC TextDef WPT2;
	extern GLOBALS_SPEC TextDef WPT3;
	extern GLOBALS_SPEC TextDef WPT4;
	extern GLOBALS_SPEC TextDef WPT5;
	extern GLOBALS_SPEC TextDef WPT6;
	extern GLOBALS_SPEC TextDef WPT7;
	extern GLOBALS_SPEC TextDef WPT8;
	extern GLOBALS_SPEC TextDef WPT9;
	extern GLOBALS_SPEC TextDef WPT10;
	extern GLOBALS_SPEC TextDef WPT11;
	extern GLOBALS_SPEC TextDef WPT12;

	extern GLOBALS_SPEC TextDef SK42;
	extern GLOBALS_SPEC TextDef CAUTION;
	extern GLOBALS_SPEC TextDef FLIGHTPLAN;
	extern GLOBALS_SPEC TextDef ISNOTCORRESPONDSTO;
	extern GLOBALS_SPEC TextDef ISABSENTINDATABASE;	
		
	extern GLOBALS_SPEC TextDef APT;
	extern GLOBALS_SPEC TextDef REGION;
	extern GLOBALS_SPEC TextDef POSITION;
	extern GLOBALS_SPEC TextDef ELEV;
	extern GLOBALS_SPEC TextDef LONG;
	extern GLOBALS_SPEC TextDef SURFACE;
	extern GLOBALS_SPEC TextDef TRANSALT;
	extern GLOBALS_SPEC TextDef TRANSLEV;
	extern GLOBALS_SPEC TextDef APPROACH;
	extern GLOBALS_SPEC TextDef IFRCAP;
	extern GLOBALS_SPEC TextDef NAME;
	extern GLOBALS_SPEC TextDef BRG;
	extern GLOBALS_SPEC TextDef DIST;
	extern GLOBALS_SPEC TextDef DTG;
	extern GLOBALS_SPEC TextDef HARD;
	extern GLOBALS_SPEC TextDef SOFT;
	extern GLOBALS_SPEC TextDef WATER;
	extern GLOBALS_SPEC TextDef UNDEFINED;

	extern GLOBALS_SPEC TextDef CALLSIGN;
	extern GLOBALS_SPEC TextDef TYPE;

	extern GLOBALS_SPEC TextDef RW;
	extern GLOBALS_SPEC TextDef LENGTH;
	extern GLOBALS_SPEC TextDef GRAD;
	extern GLOBALS_SPEC TextDef WIDTH;
	extern GLOBALS_SPEC TextDef GRAD;
	extern GLOBALS_SPEC TextDef LLZ;

	// INT
	extern GLOBALS_SPEC TextDef INT;

	// AIRWAY
	extern GLOBALS_SPEC TextDef AIRWAY;
	extern GLOBALS_SPEC TextDef LEVEL;

	extern GLOBALS_SPEC TextDef NDB;
	extern GLOBALS_SPEC TextDef PW;
	extern GLOBALS_SPEC TextDef FREQUENCY;
	extern GLOBALS_SPEC TextDef CHANNEL;
	extern GLOBALS_SPEC TextDef VHF;

	// USR
	extern GLOBALS_SPEC TextDef USR;
	extern GLOBALS_SPEC TextDef EDITWPT;
	extern GLOBALS_SPEC TextDef DELALLWPTS;
	extern GLOBALS_SPEC TextDef NEWWPTBYPOS;
	extern GLOBALS_SPEC TextDef NEWWPTBYWPT;
	extern GLOBALS_SPEC TextDef NEWWPTBYWPTCROSS;
	extern GLOBALS_SPEC TextDef LST;

	extern GLOBALS_SPEC TextDef WPT_1;
	extern GLOBALS_SPEC TextDef BRG_1;
	extern GLOBALS_SPEC TextDef DIS_1;

	extern GLOBALS_SPEC TextDef WPT_2;
	extern GLOBALS_SPEC TextDef BRG_2;

	extern GLOBALS_SPEC TextDef WPTEDIT;
	extern GLOBALS_SPEC TextDef DELETEUSERWPT;
	extern GLOBALS_SPEC TextDef DELETEALLUSERWPTS;

	extern GLOBALS_SPEC TextDef CLASS;
	extern GLOBALS_SPEC TextDef VRANGE;
	extern GLOBALS_SPEC TextDef DECL;

	// NRT
	extern GLOBALS_SPEC TextDef NRT1;
	extern GLOBALS_SPEC TextDef NRT2;
	extern GLOBALS_SPEC TextDef NRT3;
	extern GLOBALS_SPEC TextDef NRT4;
	extern GLOBALS_SPEC TextDef FREQ;
	extern GLOBALS_SPEC TextDef NEARESTAIRPORT;
	extern GLOBALS_SPEC TextDef NEARESTINTERSECTION;
	extern GLOBALS_SPEC TextDef NEARESTNDB;
	extern GLOBALS_SPEC TextDef NEARESTVHF;
	extern GLOBALS_SPEC TextDef NUMBER;
	extern GLOBALS_SPEC TextDef DIST;

	extern GLOBALS_SPEC TextDef RWSURFACE;
	extern GLOBALS_SPEC TextDef MINRWLENGTH;
	extern GLOBALS_SPEC TextDef INCLUDEPAD;

	// FPL
	extern GLOBALS_SPEC TextDef FPL1;
	extern GLOBALS_SPEC TextDef FPL2;

	extern GLOBALS_SPEC TextDef ORGN;
	extern GLOBALS_SPEC TextDef DEST;

	extern GLOBALS_SPEC TextDef AIRWAYVIEW;
	extern GLOBALS_SPEC TextDef WPTVIEW;

	extern GLOBALS_SPEC TextDef ORIGIN;
	extern GLOBALS_SPEC TextDef DESTINATION;
	extern GLOBALS_SPEC TextDef SID;
	extern GLOBALS_SPEC TextDef STAR;
	extern GLOBALS_SPEC TextDef ROUTE;
	extern GLOBALS_SPEC TextDef SETSID;
	extern GLOBALS_SPEC TextDef SETSTAR;
	extern GLOBALS_SPEC TextDef SETAPPROACH;

	extern GLOBALS_SPEC TextDef ETA;
	extern GLOBALS_SPEC TextDef ETE;
	
	extern GLOBALS_SPEC TextDef PLANLIST;

	extern GLOBALS_SPEC TextDef ACTIVATE;
	extern GLOBALS_SPEC TextDef CREATENEW;
	extern GLOBALS_SPEC TextDef COPY;
	extern GLOBALS_SPEC TextDef INVERT;
	extern GLOBALS_SPEC TextDef EDIT;
	extern GLOBALS_SPEC TextDef DEL;
	extern GLOBALS_SPEC TextDef DELALL;
	extern GLOBALS_SPEC TextDef SORTBYNAME;
	extern GLOBALS_SPEC TextDef SORTBYLENGTH;

	extern GLOBALS_SPEC TextDef BY;
	extern GLOBALS_SPEC TextDef OVER;

	extern GLOBALS_SPEC TextDef ACTIVATELEG;
	extern GLOBALS_SPEC TextDef FLYBY;
	extern GLOBALS_SPEC TextDef FLYOVER;
	extern GLOBALS_SPEC TextDef ACTLEGOFFSET;
	extern GLOBALS_SPEC TextDef CANCELOFFSET;             
	extern GLOBALS_SPEC TextDef CANCELFPL;
	extern GLOBALS_SPEC TextDef PRAIM;
	extern GLOBALS_SPEC TextDef SKIPWPT;
	extern GLOBALS_SPEC TextDef ADD;
	extern GLOBALS_SPEC TextDef INFO;
	extern GLOBALS_SPEC TextDef DELETESID;
	extern GLOBALS_SPEC TextDef DELETESTAR;
	extern GLOBALS_SPEC TextDef DELETEAPPROACH;
	extern GLOBALS_SPEC TextDef SETGS;
	extern GLOBALS_SPEC TextDef LEG;
	extern GLOBALS_SPEC TextDef OFFSET;
	extern GLOBALS_SPEC TextDef ACTOFFSETLEG;
	extern GLOBALS_SPEC TextDef ACTOFFSETFPL;

	extern GLOBALS_SPEC TextDef SETORIGIN;
	extern GLOBALS_SPEC TextDef SETDEST;
	extern GLOBALS_SPEC TextDef DELORIGIN;
	extern GLOBALS_SPEC TextDef DELDEST;

	extern GLOBALS_SPEC TextDef ADDGAP;
	extern GLOBALS_SPEC TextDef DELGAP;

	extern GLOBALS_SPEC TextDef FPLEDIT;

	extern GLOBALS_SPEC TextDef DELETEWPT;
	extern GLOBALS_SPEC TextDef INVERTFPL;
	extern GLOBALS_SPEC TextDef CANCELCHANGES;
	extern GLOBALS_SPEC TextDef SAVECHANGES;
	extern GLOBALS_SPEC TextDef RETURN;

	extern GLOBALS_SPEC TextDef NOACTFPL1;
	extern GLOBALS_SPEC TextDef NOACTFPL2;

	extern GLOBALS_SPEC TextDef DELETEFLIGHTPLAN;
	extern GLOBALS_SPEC TextDef DELETEALLFLIGHTPLANS;

/////////////////////////////////////NAV panels//////////////////////////////////

	extern GLOBALS_SPEC TextDef NAV1;	
	extern GLOBALS_SPEC TextDef NAV2;
	extern GLOBALS_SPEC TextDef NAV3;
	extern GLOBALS_SPEC TextDef NAV4;

	extern GLOBALS_SPEC TextDef SC;
	extern GLOBALS_SPEC TextDef PRESENTPOS;
	extern GLOBALS_SPEC TextDef ALT;
	extern GLOBALS_SPEC TextDef VS;
	extern GLOBALS_SPEC TextDef BANK;
	extern GLOBALS_SPEC TextDef UTC;
	extern GLOBALS_SPEC TextDef TRK;
	extern GLOBALS_SPEC TextDef DST;
	extern GLOBALS_SPEC TextDef GS;
	extern GLOBALS_SPEC TextDef FR;
	extern GLOBALS_SPEC TextDef TO;
	extern GLOBALS_SPEC TextDef OBS;
	extern GLOBALS_SPEC TextDef TRN;
	extern GLOBALS_SPEC TextDef ARC;
	extern GLOBALS_SPEC TextDef EST;
	extern GLOBALS_SPEC TextDef DIRECT;

//////////////////////////////////////////////////DB CHOICE PANEL//////////////////////////////////////////////////
	extern GLOBALS_SPEC TextDef CHOOSEDB;
	extern GLOBALS_SPEC TextDef NAVDB;
	extern GLOBALS_SPEC TextDef TOPODB;
	extern GLOBALS_SPEC TextDef NODB;
	extern GLOBALS_SPEC TextDef DBEXP;
	extern GLOBALS_SPEC TextDef DBOK;
	extern GLOBALS_SPEC TextDef UNTIMELY;
	extern GLOBALS_SPEC TextDef NODATE;
	extern GLOBALS_SPEC TextDef NOLICENSE;
	extern GLOBALS_SPEC TextDef TESTFAIL;

///////////////////////////////////////////////////////MSG PANEL///////////////////////////////////////////////////////
	extern GLOBALS_SPEC TextDef MSG;
	extern GLOBALS_SPEC TextDef MSG1;
	extern GLOBALS_SPEC TextDef MSG2;

///////////////////////////////////////////////////AUX (CLC) PANEL///////////////////////////////////////////////////
	extern GLOBALS_SPEC TextDef AUX1;
	extern GLOBALS_SPEC TextDef AUX2;
	extern GLOBALS_SPEC TextDef AUX3;
	extern GLOBALS_SPEC TextDef AUX4;
	extern GLOBALS_SPEC TextDef AUX5;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	extern GLOBALS_SPEC TextDef SETUP1;
	extern GLOBALS_SPEC TextDef SETUP2;
	extern GLOBALS_SPEC TextDef SETUP3;
	extern GLOBALS_SPEC TextDef SETUP4;
	extern GLOBALS_SPEC TextDef SETUP_PRAIM;
	extern GLOBALS_SPEC TextDef SETUP_GAMMA;
	extern GLOBALS_SPEC TextDef HORIZONTALCOMMAND;
	extern GLOBALS_SPEC TextDef ENRT;
	extern GLOBALS_SPEC TextDef TERM;
	extern GLOBALS_SPEC TextDef APPR;
	extern GLOBALS_SPEC TextDef Kn;
	extern GLOBALS_SPEC TextDef Kz;
	extern GLOBALS_SPEC TextDef Kw;
	
	extern GLOBALS_SPEC TextDef USER_SETUP;
	extern GLOBALS_SPEC TextDef USERSETUP1;
	extern GLOBALS_SPEC TextDef USERSETUP2;

	extern GLOBALS_SPEC TextDef DIAG3_CAPTION;
	extern GLOBALS_SPEC TextDef DIAG4_CAPTION;
	
	extern GLOBALS_SPEC TextDef GNSS_INIT;
	extern GLOBALS_SPEC TextDef SETUP;
	extern GLOBALS_SPEC TextDef SIMULATION;
	extern GLOBALS_SPEC TextDef KEYTEST;
	extern GLOBALS_SPEC TextDef GAMMA;
	extern GLOBALS_SPEC TextDef ALT_WGS;
	extern GLOBALS_SPEC TextDef ALT_MSL;
	extern GLOBALS_SPEC TextDef SIMULATION_MODE;
	extern GLOBALS_SPEC TextDef SIM;
	extern GLOBALS_SPEC TextDef GS_SET;

	extern GLOBALS_SPEC TextDef AC_TYPE;
	extern GLOBALS_SPEC TextDef BANK_;
	extern GLOBALS_SPEC TextDef CLIMB_;
	extern GLOBALS_SPEC TextDef PROCEDURES;
	extern GLOBALS_SPEC TextDef ENROUTE;
	extern GLOBALS_SPEC TextDef TERMINAL;
	extern GLOBALS_SPEC TextDef PRAIMSETTINGS;

	extern GLOBALS_SPEC TextDef ELEV_MASK;
	extern GLOBALS_SPEC TextDef SAT_VIS_GPS;
	extern GLOBALS_SPEC TextDef SAT_VIS_BOTH;
	extern GLOBALS_SPEC TextDef HDOP_MIN;
	extern GLOBALS_SPEC TextDef SATELLITES;

	extern GLOBALS_SPEC TextDef MANUAL;
	extern GLOBALS_SPEC TextDef AUTO;
	extern GLOBALS_SPEC TextDef OFF;
	extern GLOBALS_SPEC TextDef ON;
	extern GLOBALS_SPEC TextDef CSUM; //checksum
	extern GLOBALS_SPEC TextDef LOG_FREQ;
	extern GLOBALS_SPEC TextDef TECH_MODE;
	extern GLOBALS_SPEC TextDef HSI_MODE;

	extern GLOBALS_SPEC TextDef DIGITAL_INTERFACES;
	extern GLOBALS_SPEC TextDef ANALOG_INTERFACES;
	extern GLOBALS_SPEC TextDef LEFT;
	extern GLOBALS_SPEC TextDef RIGHT;
	extern GLOBALS_SPEC TextDef Gamma;
	extern GLOBALS_SPEC TextDef SYNC_INPUT;
	extern GLOBALS_SPEC TextDef ICAO_CODE;

	extern GLOBALS_SPEC TextDef CDI_MODE;
	extern GLOBALS_SPEC TextDef CDI_SCALE;
	extern GLOBALS_SPEC TextDef MAGNETIC;
	extern GLOBALS_SPEC TextDef RESTORE_DEFAULTS;
	extern GLOBALS_SPEC TextDef RESTOREALLUSERSETTINGS;
	extern GLOBALS_SPEC TextDef TOFACTORYDEFAULTS;
	extern GLOBALS_SPEC TextDef MAP_DATUM;
	extern GLOBALS_SPEC TextDef OUTPUT_DATUM;
	extern GLOBALS_SPEC TextDef POSITION_FORMAT;	
	extern GLOBALS_SPEC TextDef TIME_OFFSET;
	extern GLOBALS_SPEC TextDef LANG_EN;
	extern GLOBALS_SPEC TextDef ENGLISH;
	extern GLOBALS_SPEC TextDef WGS84;
	extern GLOBALS_SPEC TextDef ENTER_PASSWORD;
};

#endif
